/* animation sets */

/* move from / to  */
.pt-page-moveToLeft {
	-webkit-animation: moveToLeft .3s ease both;
	-moz-animation: moveToLeft .3s ease both;
	animation: moveToLeft .3s ease both;
}

.pt-page-moveFromLeft {
	-webkit-animation: moveFromLeft .3s ease both;
	-moz-animation: moveFromLeft .3s ease both;
	animation: moveFromLeft .3s ease both;
}

.pt-page-moveToRight {
	-webkit-animation: moveToRight .3s ease both;
	-moz-animation: moveToRight .3s ease both;
	animation: moveToRight .3s ease both;
}

.pt-page-moveFromRight {
	-webkit-animation: moveFromRight .3s ease both;
	-moz-animation: moveFromRight .3s ease both;
	animation: moveFromRight .3s ease both;
}

.pt-page-moveToTop {
	-webkit-animation: moveToTop .3s ease both;
	-moz-animation: moveToTop .3s ease both;
	animation: moveToTop .3s ease both;
}

.pt-page-moveFromTop {
	-webkit-animation: moveFromTop .3s ease-in-out both; /*easeをかきかえた*/
	-moz-animation: moveFromTop .3s ease-in-out both;
	animation: moveFromTop .3s ease-in-out both;
}

.pt-page-moveToBottom {
	-webkit-animation: moveToBottom .3s ease both;
	-moz-animation: moveToBottom .3s ease both;
	animation: moveToBottom .3s ease both;
}

.pt-page-moveFromBottom {
	-webkit-animation: moveFromBottom .3s ease-in-out both; /*easeをかきかえた*/
	-moz-animation: moveFromBottom .3s ease-in-out both;
	animation: moveFromBottom .3s ease-in-out both;
}

/* move to with different easing */

.pt-page-moveToLeftEasing {
	-webkit-animation: moveToLeft .3s ease-in-out both;
	-moz-animation: moveToLeft .3s ease-in-out both;
	animation: moveToLeft .3s ease-in-out both;
}
.pt-page-moveToRightEasing {
	-webkit-animation: moveToRight .3s ease-in-out both;
	-moz-animation: moveToRight .3s ease-in-out both;
	animation: moveToRight .3s ease-in-out both;
}
.pt-page-moveToTopEasing {
	-webkit-animation: moveToTop .3s ease-in-out both;
	-moz-animation: moveToTop .3s ease-in-out both;
	animation: moveToTop .3s ease-in-out both;
}
.pt-page-moveToBottomEasing {
	-webkit-animation: moveToBottom .3s ease-in-out both;
	-moz-animation: moveToBottom .3s ease-in-out both;
	animation: moveToBottom .3s ease-in-out both;
}


.pt-page-moveToRightOriginalEasing {
	-webkit-animation: moveToRightOriginal .3s ease-in-out both;
	-moz-animation: moveToRightOriginal .3s ease-in-out both;
	animation: moveToRightOriginal .3s ease-in-out both;
}
.pt-page-moveToLeftOriginalEasing {
	-webkit-animation: moveToLeftOriginal .3s ease-in-out both;
	-moz-animation: moveToLeftOriginal .3s ease-in-out both;
	animation: moveToLeftOriginal .3s ease-in-out both;
}


/********************************* keyframes **************************************/
/*original*/
@-webkit-keyframes moveToRightOriginal { 
	to { -webkit-transform: translateX(100%); }
}
@-moz-keyframes moveToRightOriginal { 
	to { -moz-transform: translateX(100%); }
}
@keyframes moveToRightOriginal { 
	to { transform: translateX(100%); }
}

@-webkit-keyframes moveToLeftOriginal { 
	to { -webkit-transform: translateX(-100%); }
}
@-moz-keyframes moveToLeftOriginal { 
	to { -moz-transform: translateX(-100%); }
}
@keyframes moveToLeftOriginal { 
	to { transform: translateX(-100%); }
}






/* move from / to  */
@-webkit-keyframes moveToLeft {
   	to { -webkit-transform: translateX(-95%); }
}
@-moz-keyframes moveToLeft {
	to { -moz-transform: translateX(-95%); }
}
@keyframes moveToLeft {
	to { transform: translateX(-95%); }
}

@-webkit-keyframes moveFromLeft {
	from { -webkit-transform: translateX(-95%); }
}
@-moz-keyframes moveFromLeft {
	from { -moz-transform: translateX(-95%); }
}
@keyframes moveFromLeft {
	from { transform: translateX(-95%); }
}

@-webkit-keyframes moveToRight { 
	to { -webkit-transform: translateX(95%); }
}
@-moz-keyframes moveToRight { 
	to { -moz-transform: translateX(95%); }
}
@keyframes moveToRight { 
	to { transform: translateX(95%); }
}

@-webkit-keyframes moveFromRight {
	from { -webkit-transform: translateX(95%); }
}
@-moz-keyframes moveFromRight {
	from { -moz-transform: translateX(95%); }
}
@keyframes moveFromRight {
	from { transform: translateX(95%); }
}

@-webkit-keyframes moveToTop {
	to { -webkit-transform: translateY(-100%); }
}
@-moz-keyframes moveToTop {
	to { -moz-transform: translateY(-100%); }
}
@keyframes moveToTop {
	to { transform: translateY(-100%); }
}

@-webkit-keyframes moveFromTop {
	from { -webkit-transform: translateY(-100%); }
}
@-moz-keyframes moveFromTop {
	from { -moz-transform: translateY(-100%); }
}
@keyframes moveFromTop {
	from { transform: translateY(-100%); }
}

@-webkit-keyframes moveToBottom {
	to { -webkit-transform: translateY(100%); }
}
@-moz-keyframes moveToBottom {
	to { -moz-transform: translateY(100%); }
}
@keyframes moveToBottom {
	to { transform: translateY(100%); }
}

@-webkit-keyframes moveFromBottom {
	from { -webkit-transform: translateY(100%); }
}
@-moz-keyframes moveFromBottom {
	from { -moz-transform: translateY(100%); }
}
@keyframes moveFromBottom {
	from { transform: translateY(100%); }
}




/********************************* keyframes **************************************/



/* animation delay classes */

.pt-page-delay100 {
	-webkit-animation-delay: .1s;
	-moz-animation-delay: .1s;
	animation-delay: .1s;
}
.pt-page-delay180 {
	-webkit-animation-delay: .180s;
	-moz-animation-delay: .180s;
	animation-delay: .180s;
}
.pt-page-delay200 {
	-webkit-animation-delay: .2s;
	-moz-animation-delay: .2s;
	animation-delay: .2s;
}
.pt-page-delay300 {
	-webkit-animation-delay: .3s;
	-moz-animation-delay: .3s;
	animation-delay: .3s;
}
.pt-page-delay400 {
	-webkit-animation-delay: .4s;
	-moz-animation-delay: .4s;
	animation-delay: .4s;
}
.pt-page-delay500 {
	-webkit-animation-delay: .5s;
	-moz-animation-delay: .5s;
	animation-delay: .5s;
}
.pt-page-delay700 {
	-webkit-animation-delay: .7s;
	-moz-animation-delay: .7s;
	animation-delay: .7s;
}
.pt-page-delay1000 {
	-webkit-animation-delay: 1s;
	-moz-animation-delay: 1s;
	animation-delay: 1s;
}